[package]
name = "aster-webui"
version = "0.1.0"
description = "Web UI and config API for AOOSTAR WTR MAX / GEM12+ PRO"

rust-version.workspace = true
edition.workspace = true
authors.workspace = true
license.workspace = true
repository.workspace = true

[dependencies]
ab_glyph = { version = "0.2.31", default-features = false, features = ["std"] }
anyhow = "1.0.98"
asterctl = { path = "../asterctl", version = "0.2.0" }
asterctl-lcd = { path = "../asterctl-lcd", version = "0.2.0" }
axum = { version = "0.8.4", features = ["multipart"] }
chrono = "0.4"
clap = { version = "4.5.42", features = ["derive"] }
image = "0.25.6"
imageproc = "0.25.0"
mime_guess = "2.0.5"
serde = { version = "1.0.219", features = ["derive"] }
serde_json = "1.0.142"
sysinfo = "0.37.0"
tokio = { version = "1.47.1", features = ["fs", "macros", "net", "rt-multi-thread"] }
tracing = "0.1.41"
tracing-subscriber = { version = "0.3.20", features = ["env-filter"] }
